EDIT - task #7238

Rename lastName and firstName
02/02/2018 10:27 AM - Andreas Miiller

Status: Closed Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: CDM UML 5.0

Severity: normal

Description

According to https://www.w3.org/International/questions/ga-personal-names.entfielddesign last name should better be called "family
name" and "first name" should better be called "Other/given names"

So rename lastName to familyName and firstName to either otherName or givenName in model.

Note: in Uls the first name should be replaced by "Other/given names"

Related issues:
Related to EDIT - bug #7239: Rename last name by family name and first name b... Closed
Related to EDIT - bug #8104: TaxonName.getLastNamePart erroneously renamed .g... Closed

Associated revisions

Revision 9866827 - 05/09/2018 01:21 PM - Andreas Miiller

ref #7238 rename lastName and firstName

Revision a9212ceb - 05/09/2018 01:21 PM - Andreas Miiller

ref #7238 fix givenname camelCase issue in AgentDaolmplTest

Revision c4da19fd - 05/09/2018 01:21 PM - Andreas Miiller

ref #7238 adapt xmltype for familyName and givenName

Revision 3310d6a0 - 05/11/2018 01:47 PM - Andreas Miiller

ref #7238 fix datatype for renaming Person.lastname and firstname

Revision 94e1dc4e - 05/16/2018 07:31 PM - Andreas Kohlbecker
ref #7238 fixing field binding in PersonField to adapt to model changes

Revision 4e1b6f7d - 05/17/2018 11:36 AM - Andreas Miiller

ref #7238 change to familyname and givenname incdmlib-app

Revision 6546eed?2 - 05/30/2018 09:37 PM - Andreas Miiller

ref #7238 correct case for givenname and familyname in BerlinModelAuthorimport

History

#1 - 02/02/2018 10:59 AM - Andreas Miiller

- Related to bug #7239: Rename last name by family name and first name by "Other/given names" added

#2 - 05/08/2018 01:27 AM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 50

#3 - 05/14/2018 04:49 PM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 50 to 100
#4 - 02/19/2019 04:06 PM - Andreas Miiller

- Related to bug #8104: TaxonName.getLastNamePart erroneously renamed .getFamiliyNamePart added
